SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, ARITHABORT, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON;
SET NUMERIC_ROUNDABORT OFF;
GO

-- VisitGeoIpData.sql
IF NOT EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'VisitGeoIpData')
    BEGIN
        PRINT N'Creating table VisitGeoIpData...'
        CREATE TABLE [VisitGeoIpData] (
            [ID] UNIQUEIDENTIFIER NOT NULL,
            [LastUpdateDateUtc] SMALLDATETIME DEFAULT (GETUTCDATE()) NOT NULL,
            [Value] VARBINARY (MAX) NOT NULL,
            CONSTRAINT [PK_Definitions] PRIMARY KEY CLUSTERED ([ID] ASC)
        );

        CREATE NONCLUSTERED INDEX [IX_VisitGeoIpData_LastAccessDate] ON [VisitGeoIpData]([LastUpdateDateUtc] ASC);
    END

GO

PRINT N'Update complete.';